html {
  background-image: url("../images/background");
  background-color: #0D220D;
  color: #000000;
  font-family: sans-serif;
  background-position: center bottom;
  background-attachment: fixed;
}

html a {
  color: #006600;
  text-decoration: none;
}

body {
  margin: 0;
  background: 0;
}

div#innerself {
  background: #CFDDCC;
  padding-top: 0.1em;
  padding-bottom: 1em;
}

#header {
  display: flex;
}

#dropdown label {
  font-size: 3em;
  color: #CFDDCC;
}

img#banner {
  filter: invert(87%) sepia(7%) saturate(334%) hue-rotate(66deg) brightness(106%) contrast(96%);
  width: calc(100% - 8em);
}

main {
  margin: 1em 1em;
}

main h1 {
  margin: 0;
  padding: 0;
}

/* TODO: disabled for now, looks great on team member page but not on others.
 * Should work well if/when there is a title block containing title on the
 * left and info stuff on the right.
main p:first-of-type {
  margin-top: 0;
}
 */

.summary h2,h3,h4,h5,h6 {
  margin: 0;
}

h1 {
  font-size: xx-large;
}

h2 {
  font-size: x-large;
}

h3 {
  font-size: large;
}

h4 {
  font-size: medium;
}

#innerself nav {
  /* TODO */
  display: none;
}

#dropdown {
  float: left;
}

#dropdown-toggle {
  opacity: 0;
  width: 0;
  height: 0;
}

#toggle {
  padding: 0;
  margin: 0;
}

input#dropdown-toggle:checked ~ .dropdown-menu {
  display: block;
}

.dropdown-menu {
  position: absolute;
  background-color: #000000;
  opacity: 85%;
  z-index: 1;
  display: none;
  padding: 0.5em;
  margin: 0em;
}

.dropdown-menu ul {
  margin: 0;
  padding: 0;
}

.dropdown-menu a {
  padding: 0.5em;
  text-decoration: none;
  display: block;
  color: #ffffff;
}

.dropdown-menu a:hover {
  background-color: #333333;
}

#footer {
  width: 100%;
  position: sticky;
  bottom: 0;
  padding-top: 2em;
}

/* Use abbreviated text where available */
.abbrev {
  display: normal;
}
.full {
  display: none;
}

/* ---------------------------------------------------------------------------
 *                                                         team member page
 * ------------------------------------------------------------------------ */

div#contentheader {
  display: flex;
}

div#contentheader #info {
  flex: 1;
  text-align: right;
  overflow: auto;
}

div#author-image {
  width: 9em;
  height: 9em;
  float: right;
  padding-left: 1em;
}

img#author {
  object-fit: contain;
  border-radius: 14px;
  max-width: 100%;
  max-height: 100%;
}

embed {
  width: 15;
  height: 7em;
}

img {
  max-width: 100%;
}

/* ---------------------------------------------------------------------------
 *                                                         blockquote
 * ------------------------------------------------------------------------ */

blockquote {
  border-left: 4px solid grey;
  padding: 0.5em;
}

blockquote p:first-child {
  margin-top: 0;
}

blockquote p:last-child {
  margin-bottom: 0;
}

/* ---------------------------------------------------------------------------
 *                                                         project page
 * ------------------------------------------------------------------------ */

dl {
  display: grid;
  grid-template-columns: max-content 1fr;
  row-gap: 1em;
}

dt {
  margin: 0 0.5em;
  font-weight: bold
}

/* ---------------------------------------------------------------------------
 *                                                 For console padding
 * ------------------------------------------------------------------------ */

 pre {
  padding: 1em;
  background: rgba(0,0,0,0.1);
}

/* ---------------------------------------------------------------------------
 *                                                         table of contents
 * ------------------------------------------------------------------------ */

nav.toc ul {
  list-style-type: none;
  padding-left: 1em;
}

/* ---------------------------------------------------------------------------
 *                                                         site menu bar
 * ------------------------------------------------------------------------ */

nav.onelinemenu {
  display: inherit;
  position: sticky;
  background: #9AAA99;
  padding: 0 0 0.3em;
  clear: both;
}

nav.onelinemenu ul {
  margin: 0;
  padding: 0.2em 1em 0.4em;
  list-style-type: none;
}

nav.onelinemenu ul.menu-left{
  float: left;
}

nav.onelinemenu ul.menu-right {
  float: right;
}

nav.onelinemenu li {
  display: inline;
  padding: 0em 0.2em;
  /* disable until I can get them centred.  Could use
   * https://www.w3schools.com/css/css_navbar_horizontal.asp but not having much
   * luck
  border-left: 1px solid black;
  */
}

